javax.persistence

## Interface PersistenceUnitUtil

All Superinterfaces:
  PersistenceUtil

    public interface PersistenceUnitUtil
    extends PersistenceUtil

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `getIdentifier(Object entity)`
`boolean` `isLoaded(Object entity)`
`boolean` `isLoaded(Object entity, String attributeName)`

### Method Detail

#### isLoaded

    boolean isLoaded(Object entity,
                     String attributeName)

Specified by:
  `isLoaded` in interface `PersistenceUtil`

#### isLoaded

    boolean isLoaded(Object entity)

Specified by:
  `isLoaded` in interface `PersistenceUtil`

#### getIdentifier

    Object getIdentifier(Object entity)